Bug 57530 - kernel null pointer dereference trying to load aic7xxx driver after recompiling kernel
kernel null pointer dereference trying to load aic7xxx driver after recompili...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-14 17:20 EST by Arthur Tan
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 19:37:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arthur Tan 2001-12-14 17:20:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
Recompiled the kernel, modules and editted the /etc/lilo.conf file to boot 
with this new kernel and its components. When the machine gets to the part 
where it is trying to finish loading the aic7xxx module, there would be a 
kernel panic with a null pointer deference error. I've tried both the new 
and old aic driver and it gives me the same result.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Recompile the kernel along with all the modules.
2.Edit lilo.conf to boot to this new kernel and modules.
3.Reboot the machine.
	

Actual Results:  At the stage when it is trying to finish loading the 
aic7xxx driver, there was a null pointer derefenrence error.

Expected Results:  The machine should boot with the new settings without 
any errors.

Additional info:

Loading scsi_mod module
Loading sd_mod module
Loading aic7xxx module
scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.1.13
        <Adaptec aic7896/97 Ultra2 SCSI adapter>
        aic7896/97: Ultra2 Wide Channel B, SCSI Id=7, 32/255 SCBs

scsi1 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.1.13
        <Adaptec aic7896/97 Ultra2 SCSI adapter>
        aic7896/97: Ultra2 Wide Channel A, SCSI Id=7, 32/255 SCBs

  Vendor: SEAGATE   Model: ST34501W          Rev: 8606
  Type:   Direct-Access                      ANSI SCSI revision: 02
(scsi0:A:0): 40.000MB/s transfers (20.000MHz, offset 15, 16bit)
  Vendor: IBM       Model: TP4.6 V41b3       Rev: 4.1b
  Type:   Processor                          ANSI SCSI revision: 02
scsi0:0:0:0: Tagged Queuing enabled.  Depth 253
Unable to handle kernel NULL pointer dereference at virtual address 
00000000
 printing eip:
f881adfe
*pde = 00000000
Oops: 0002
CPU:    1
EIP:    0010:[<f881adfe>]
EFLAGS: 00010246
eax: 00000000   ebx: 00000000   ecx: 00000000   edx: 00000000
esi: 00000000   edi: f7dfc600   ebp: f88350a0   esp: f7803ea8
ds: 0018   es: 0018   ss: 0018
Process insmod (pid: 15, stackpage=f7803000)
Stack: f7803ef0 00000282 00000282 f77f7dc0 f881bae0 f7dfc600 f77f7e40 
f8801f0a
       f7dfc600 00000000 00000000 00000000 00000001 f7803efc f7803efc 
c023e540
       c0134992 ffffffff 00000000 00000000 00000001 f7803efc f7803efc 
c1044010
Call Trace: [<f881bae0>] [<f8801f0a>] [<c0134992>] [<f881d000>] 
[<f8820a77>]
   [<f88350a0>] [<f88350a0>] [<c011bef5>] [<f88377a0>] [<f8819000>] 
[<f881d060>]

   [<c010716b>]

Code: 89 04 8a f6 87 fa 00 00 00 04 74 0d a1 70 bb 81 f8 8b 44 18
 ERROR: /bin/insmod exit

lspci output:

00:02.0 Bridge: IBM: Unknown device 00dc (rev 02)
00:04.0 VGA compatible controller: S3 Inc. Trio 64 3D (rev 01)
00:0c.0 Ethernet controller: 3Com Corporation 3c982 Dual Port Server 
Cyclone (rev 78)
00:0e.0 SCSI storage controller: Adaptec 7896
00:0e.1 SCSI storage controller: Adaptec 7896
00:0f.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
00:0f.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01)
00:0f.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01)
00:0f.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 02)
00:14.0 RAM memory: Corollary, Inc Intel 8-way XEON Profusion Chipset 
[Cache Coherency Filter]  (rev 05)
00:14.1 RAM memory: Corollary, Inc Intel 8-way XEON Profusion Chipset 
[Cache Coherency Filter]  (rev 05)
00:18.0 Host bridge: Compaq Computer Corporation HotPlug PCI Bridge 6010 
(rev 01)
00:19.0 Host bridge: Compaq Computer Corporation HotPlug PCI Bridge 6010 
(rev 01)
00:1a.0 Host bridge: Compaq Computer Corporation HotPlug PCI Bridge 6010 
(rev 01)
00:1b.0 Host bridge: Compaq Computer Corporation HotPlug PCI Bridge 6010 
(rev 01)
04:0f.0 PIC: Intel Corporation 683053 Programmable Interrupt Device
0d:06.0 SCSI storage controller: Q Logic QLA2200 (rev 05)
0d:07.0 SCSI storage controller: Q Logic QLA2200 (rev 05)
Comment 1 Alan Cox 2003-06-07 19:37:49 EDT
User compiled kernel. WONTFIX

Note You need to log in before you can comment on or make changes to this bug.